services:
  dnsmasq:
    image: 'andyshinn/dnsmasq:${DNSMASQ_TAG}'
    restart: always
    ports:
      - '53:53/tcp'
      - '53:53/udp'
    cap_add:
      - NET_ADMIN
    environment:
      - TZ=${TZ}
    command:
      - 'dnsmasq'
      - '--no-daemon'
      - '--log-queries'
      - '--log-facility=-'
      - '--no-resolv'
      - '--address=/example/${RESOLVED_ADDRESS}'
      - '--address=/invalid/${RESOLVED_ADDRESS}'
      - '--address=/localhost/${RESOLVED_ADDRESS}'
      - '--address=/test/${RESOLVED_ADDRESS}'
    entrypoint: >
      sh -c "
        apk add --no-cache tzdata
        exec \"$$0\" \"$$@\"
      "
    networks:
      - dnsmasq
networks:
  dnsmasq:
    name: dnsmasq
    external: false
